Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class ListQueuesResult

    java.lang.Object
      com.amazonaws.services.sqs.model.ListQueuesResult

    public class ListQueuesResult

extends Object

Constructor Summary
`ListQueuesResult()`

Method Summary
`List<String>` | `getQueueUrls()` A list of queue URLs for queues.
`void` | `setQueueUrls(Collection<String> queueUrls)` A list of queue URLs for queues.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListQueuesResult` | `withQueueUrls(Collection<String> queueUrls)` A list of queue URLs for queues.
`ListQueuesResult` | `withQueueUrls(String... queueUrls)` A list of queue URLs for queues.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListQueuesResult

    public ListQueuesResult()

Method Detail

### getQueueUrls

    public List<String> getQueueUrls()

  A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

  Returns:
    A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

### setQueueUrls

    public void setQueueUrls(Collection<String> queueUrls)

  A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

  Parameters:
    `queueUrls` - A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

### withQueueUrls

    public ListQueuesResult withQueueUrls(String... queueUrls)

  A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrls` - A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withQueueUrls

    public ListQueuesResult withQueueUrls(Collection<String> queueUrls)

  A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrls` - A list of queue URLs for queues. The response can contain up to 1000 QueueUrl elements.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.